Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SpecialVisionSymbols Class Reference

The Xabsl2 symbols that are defined in "special-vision-symbols.xml". More...

`#include <SpecialVisionSymbols.h>`

Inheritance diagram for SpecialVisionSymbols:

[legend]
Collaboration diagram for SpecialVisionSymbols:

[legend]
List of all members.

## Public Member Functions
| SpecialVisionSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
Input symbols
int | getBarCodeValue ()
bool | getShutterSelected ()

## Detailed Description

The Xabsl2 symbols that are defined in "special-vision-symbols.xml".

Author:
  Matthias Jüngel

Definition at line 20 of file SpecialVisionSymbols.h.

## Constructor & Destructor Documentation

SpecialVisionSymbols::SpecialVisionSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 11 of file SpecialVisionSymbols.cpp.

## Member Function Documentation

void SpecialVisionSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 17 of file SpecialVisionSymbols.cpp. References getBarCodeValue(), getShutterSelected(), SpecialPercept::orientation, Xabsl2Symbols::registerBooleanInputSymbol(), Xabsl2Symbols::registerDecimalInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement(), Xabsl2Symbols::registerEnumeratedOutputSymbol(), Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement(), and SpecialVisionRequest::specialVisionRequest. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void SpecialVisionSymbols::update | ( |  | ) |

| updates the symbols Definition at line 104 of file SpecialVisionSymbols.cpp.

int SpecialVisionSymbols::getBarCodeValue | ( |  | ) |

| A function for the symbol "bar-code" Definition at line 108 of file SpecialVisionSymbols.cpp. References SpecialPercept::barCodeId. Referenced by registerSymbols().

bool SpecialVisionSymbols::getShutterSelected | ( |  | ) |

| A function for the symbol "bar-code" Definition at line 113 of file SpecialVisionSymbols.cpp. References SpecialPercept::shutterSelected. Referenced by registerSymbols().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/SpecialVisionSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/SpecialVisionSymbols.cpp